
public class ListNode {

  protected Object info;
  protected ListNode next;

  public ListNode(Object x) {
    this(x,null);
  }

  public ListNode(Object x, ListNode n) {
      info = x;
      next = n;
  }

 /**
  * Ritorna il riferimento all'oggetto info contenuto in questo nodo.
  * @return il riferimento di tipo Object all'oggetto info contenuto in tale nodo.
  */
  public Object getInfo() {
    return info;
  }

  /**
   * Ritorna il riferimento next al nodo successivo.
   * @return il riferimento di tipo ListNode al nodo successivo.
   */
  public ListNode getNext() {
    return next;
  }

  /**
   * Setta il riferimento all'oggetto info contenuto in questo nodo.
   */
    public void setInfo(Object o) {
      info = o;
    }

   /**
    * Setta il riferimento next al nodo successivo.
    */
    public void setNext(ListNode n) {
      next = n;
    }

}