import java.util.*;

public class RandomList {


  public static void main (String[ ] args) {
     new RandomList ().run();
  } // method main

  public void run(){

     	/**** GENERAZIONE LISTA CASUALE ****/	
     	final int SEED = 111; // seme della sequenza
     	// Random r = new Random (SEED);
     	Random r = new Random ();
     	LinkedList    randList = new LinkedList( );
     	// Inserimento ordinato in randList di 10 interi casuali nel range 0...99:
     	for (int i = 0; i < 10; i++)
             randList.insertOrd (new MyInteger(r.nextInt(100))); // inserimento ordinato
	System.out.println("Lista casuale generata:");
        randList.printList( );

	/**** TEST METODI DI BASE ****/
	System.out.println("Dopo un inserimento in testa:");	
	randList.insertHead(new MyInteger(r.nextInt(100)));
        randList.printList( );

	System.out.println("Dopo un inserimento in coda:");	
	randList.insertTail(new MyInteger(r.nextInt(100)));
        randList.printList( );

        System.out.println("Cancellazione alla posizione 2:" );
        randList.deleteAt(2);
        randList.printList( );

	System.out.println("Dopo una cancellazione in testa:");	
	randList.deleteHead();
        randList.printList( );

	System.out.println("Dopo una cancellazione in coda:");	
	randList.deleteTail();
        randList.printList( );

	System.out.println("Dopo un inserimento ordinato:");	
	randList.insertOrd(new MyInteger(r.nextInt(100)));
        randList.printList( );

        
 } // method run

} // class RandomList
